Bug 74010 - binhex uses invalid file header
Summary: binhex uses invalid file header
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: macutils   
(Show other bugs)
Version: 7.3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-13 18:12 UTC by Need Real Name
Modified: 2013-07-02 22:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-13 11:55:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-09-13 18:12:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.0.0-10; Linux)

Description of problem:
The header of output files does not match the spec (found at http://www.lazerware.com/formats/Specs/BinHex_Specs.pdf), causing decoding problems with current versions of Stuffit.

Patch follows:

diff -Naur macutils/binhex/dofile.c macutils-patched/binhex/dofile.c
--- macutils/binhex/dofile.c    Sat Oct  2 20:16:00 1993
+++ macutils-patched/binhex/dofile.c    Fri Sep 13 18:06:31 2002
@@ -25,8 +25,7 @@

 void dofile()
 {
-    (void)printf("(This file must be converted; you knew that already.)\n");
-    (void)printf("\n");
+    (void)printf("(This file must be converted with BinHex 4.0)\n");
     pos_ptr = 1;
     state = 0;
     rep_char = -1;


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
 

Additional info:

Comment 1 Jindrich Novy 2004-08-13 11:55:18 UTC
Hello,

thanks for the patch. From various sources
(http://www.graphcomp.com/info/rfc/rfc1741.html) I read that the
correct header of binhex should really be as noticed in the patch.
I'll update it and make it available in rawhide.

greetings,
Jindrich


Note You need to log in before you can comment on or make changes to this bug.